
data {
    int N;
    int p;
    int<lower = 0, upper = 1> Y[N];
    matrix[N, p] X;
}

parameters{
    vector[p] b;
}

transformed parameters {
    real prob[N];
    real v;
    for (i in 1:N){
        v = 0.0;
        for (j in 1:p)
            v = v + b[j] * X[i, j];
        prob[i] = inv_logit(v);
    }
}

model {
    for (i in 1:N)
        Y[i] ~ bernoulli(prob[i]);
}
